Sound: Get intensity (dB)

A query to the selected Sound object.

## Return value

the intensity in air, expressed in dB relative to the auditory threshold.

## Algorithm

The intensity of a sound in air is defined as

10 log10 { 1 / (T P02) ∫dt x2(t) }

where x(t) is the sound pressure in units of Pa (Pascal), T is the duration of the sound, and P0 = 2·10-5 Pa is the auditory threshold pressure. For how stereo sounds are handled, see Sound: Get energy....

## See also

For the intensity in Watt/m2, see Sound: Get power in air. For an auditory intensity, see Excitation: Get loudness.